## ros-jazzy-mqtt-client 2.3.0

=== debian/changelog ===
ros-jazzy-mqtt-client (2.3.0-1bookworm) bookworm; urgency=high

  * Merge pull request #61 <https://github.com/ika-rwth-aachen/mqtt_client/issues/61> from Chance-Maritime-Technologies/dev-explicitTypes
    Added the ability to explicitly set type names and some QoS settings
  * Merge remote-tracking branch 'upstream/main' into dev-explicitTypes
  * Merge pull request #63 <https://github.com/ika-rwth-aachen/mqtt_client/issues/63> from tecnalia-medical-robotics/system-fmt
    Use system version of libfmt instead of rosfmt vendored one on ROS 1
  * Merge pull request #60 <https://github.com/ika-rwth-aachen/mqtt_client/issues/60> from ika-rwth-aachen/feature/nodename_in_params_file
    Modify ROS2 node name in params files
  * Merge pull request #58 <https://github.com/ika-rwth-aachen/mqtt_client/issues/58> from ika-rwth-aachen/feature/configure_node_name
    Make ROS/ROS2 node name configurable via launch file
  * Contributors: JayHerpin, Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Thu, 30 May 2024 00:00:00 -0000

ros-jazzy-mqtt-client (2.2.1-1bookworm) bookworm; urgency=high

  * Merge pull request #50 from babakc/main
    Amend AWS IoT CLI command in collect the correct endpoint
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Tue, 19 Mar 2024 00:00:00 -0000

ros-jazzy-mqtt-client (2.2.0-1bookworm) bookworm; urgency=high

  * Merge pull request #35 <https://github.com/ika-rwth-aachen/mqtt_client/issues/35> from mvccogo/main
    Dynamic registration of topics
  * Merge pull request #36 <https://github.com/ika-rwth-aachen/mqtt_client/issues/36> from ika-rwth-aachen/fix/ros1-latencies
    Fix bug in ros1 latency deserialization
  * Contributors: Lennart Reiher, Matheus V. C. Cogo, mvccogo

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Wed, 29 Nov 2023 00:00:00 -0000

ros-jazzy-mqtt-client (2.1.0-1bookworm) bookworm; urgency=high

  * Merge pull request #31 from ika-rwth-aachen/features/ros2-component
    ROS2 Component
  * Merge pull request #30 from oxin-ros/ros2-add-multiple-topics
    ROS 2: add multiple topics
  * Merge pull request #28 from oxin-ros/add-ALPN-protocol-support-for-aws
    Add ALPN protocol support for AWS
  * Contributors: David B, David Buckman, Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Mon, 18 Sep 2023 00:00:00 -0000

ros-jazzy-mqtt-client (2.0.1-1bookworm) bookworm; urgency=high

  * fix unrecognized build type with catkin_make_isolated
    order of statements is somehow revelant; catkin_make_isolated would not detect the build type; build farm jobs were failing; https://build.ros.org/job/Ndev__mqtt_client__ubuntu_focal_amd64/10/console
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Sat, 10 Jun 2023 00:00:00 -0000

ros-jazzy-mqtt-client (2.0.0-1bookworm) bookworm; urgency=high

  * Merge pull request #23 from ika-rwth-aachen/docker-ros
    Integrate docker-ros
  * Merge pull request #16 from ika-rwth-aachen/dev/ros2
    Add support for ROS2
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Sat, 10 Jun 2023 00:00:00 -0000

ros-jazzy-mqtt-client (1.1.0-1bookworm) bookworm; urgency=high

  * Merge pull request #6 from ika-rwth-aachen/feature/primitive-msgs
    Support exchange of primitive messages with other MQTT clients
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Thu, 13 Oct 2022 00:00:00 -0000

ros-jazzy-mqtt-client (1.0.2-1bookworm) bookworm; urgency=high

  * Merge pull request #4 from ika-rwth-aachen/improvement/runtime-optimization
    Optimize runtime
  * Merge pull request #5 from ika-rwth-aachen/ci
    Set up CI
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Fri, 07 Oct 2022 00:00:00 -0000

ros-jazzy-mqtt-client (1.0.1-1bookworm) bookworm; urgency=high

  * Merge pull request #3 from ika-rwth-aachen/doc/code-api
    Improve Code API Documentation
  * Merge pull request #1 from ika-rwth-aachen/improvement/documentation
    Improve documentation
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Thu, 11 Aug 2022 00:00:00 -0000
